# H323GatekeeperURQ Class Reference

`#include <gkserver.h>`

Inheritance diagram for H323GatekeeperURQ:

[legend]
Collaboration diagram for H323GatekeeperURQ:
[legend]

## Public Member Functions

| H323GatekeeperURQ (H323GatekeeperListener &listener, const H323RasPDU &pdu)
virtual PString | GetGatekeeperIdentifier () const
virtual unsigned | GetGatekeeperRejectTag () const
virtual PString | GetEndpointIdentifier () const
virtual unsigned | GetRegisteredEndPointRejectTag () const
virtual H235Authenticator::ValidationResult | ValidatePDU () const
virtual unsigned | GetSecurityRejectTag () const
virtual void | SetRejectReason (unsigned reasonCode)

## Data Fields

H225_UnregistrationRequest & | urq
H225_UnregistrationConfirm & | ucf
H225_UnregistrationReject & | urj

## Protected Member Functions

virtual Response | OnHandlePDU ()

## Constructor & Destructor Documentation

H323GatekeeperURQ::H323GatekeeperURQ | ( | H323GatekeeperListener & | listener,
|  | const H323RasPDU & | pdu |
| ) |  |  |

## Member Function Documentation

virtual PString H323GatekeeperURQ::GetEndpointIdentifier | ( |  | ) | const`[virtual]`

Implements H323GatekeeperRequest.

virtual PString H323GatekeeperURQ::GetGatekeeperIdentifier | ( |  | ) | const`[virtual]`

Implements H323GatekeeperRequest.

virtual unsigned H323GatekeeperURQ::GetGatekeeperRejectTag | ( |  | ) | const`[virtual]`

Implements H323GatekeeperRequest.

virtual unsigned H323GatekeeperURQ::GetRegisteredEndPointRejectTag | ( |  | ) | const`[virtual]`

Implements H323GatekeeperRequest.

virtual unsigned H323GatekeeperURQ::GetSecurityRejectTag | ( |  | ) | const`[virtual]`

Implements H323GatekeeperRequest.

virtual Response H323GatekeeperURQ::OnHandlePDU | ( |  | ) | `[protected, virtual]`

Implements H323Transaction.

virtual void H323GatekeeperURQ::SetRejectReason | ( | unsigned | reasonCode | ) | `[virtual]`

Implements H323Transaction.

virtual H235Authenticator::ValidationResult H323GatekeeperURQ::ValidatePDU | ( |  | ) | const`[virtual]`

Implements H323Transaction.

## Field Documentation

H225_UnregistrationConfirm& H323GatekeeperURQ::ucf

H225_UnregistrationReject& H323GatekeeperURQ::urj

H225_UnregistrationRequest& H323GatekeeperURQ::urq

The documentation for this class was generated from the following file:

- gkserver.h